Subject: Re: bug#17713: Compressed Forms of 'backtrace' and 'bt full' output

From: Stefan Monnier <[email-masked]>
Date: Fri, 06 Jun 2014 09:41:31 -0400

> Correct, no SIGSEGV.  Though while the process is running it is
> keeping one of my cpu's at 100%.

My crystal ball says your problem has nothing to do with GC.
Your Emacs is stuck in an inf-loop of code that in turn runs GC on
a regular basis, so when you interrupted the process you happened to be
within GC.
Try to "finish" Fgarbage_collect to see if it does terminate.
And show us the Lisp backtrace (which you'll get if you start "gdb" from
within the .../emacs/src directory).

        Stefan